Page MenuHomePhabricator

Searching by prefix no longer works
Closed, ResolvedPublic

Description

Many projects have noticeboards that allow searching through the archives. These have worked in the past by appending "prefix:<whatever noticeboard>" to the search term requested.

This no longer works in enwiki or commons, it returns zero results but gives the following error:

A warning has occured while searching: The namespace found in the search term prefix: is not compatible with the namespaces requested. You can fix it by prefixing your query with all:.

This occurs both logged in with Monobook and logged out with whatever the default is these days, on both Chrome and Firefox.

Sample searches that should return results:
https://en.wikipedia.org/wiki/Special:Search?search=test&prefix=Wikipedia%3AAdministrators%27+noticeboard&fulltext=Search&fulltext=Search&searchToken=am1sglpn31h2rzpnl0sqwb107
https://commons.wikimedia.org/wiki/Special:Search?search=test&prefix=Commons%3AUndeletion+requests&fulltext=Search+archives&fulltext=Search&searchToken=d6nmyf8sl60mta4i5ouz5hroi

Event Timeline

Storkk created this task.May 11 2018, 10:04 AM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 11 2018, 10:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Storkk updated the task description. (Show Details)May 11 2018, 10:09 AM
Aklapper added a project: Regression.
EBjune added a subscriber: EBjune.May 11 2018, 5:21 PM

this is being addressed in T193392

Cirdan closed this task as Resolved.EditedMay 14 2018, 1:01 PM
Cirdan triaged this task as High priority.
Cirdan added a subscriber: Cirdan.

Solved with the revert of T193392: Deprecate global namespace handling of the prefix keyword (reverted), which has been deployed today.

Od1n removed a subscriber: Od1n.May 14 2018, 2:01 PM
Vvjjkkii renamed this task from Searching by prefix no longer works to 84caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 84caaaaaaa to Searching by prefix no longer works.Jul 2 2018, 6:18 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot claimed this task.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.